<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
// Get available language names
$handle = opendir('languages');
$languageNames = array('auto');
while ($file = readdir($handle)) {
  if ($file!='.' AND $file!='..') {
    $file = str_replace('.php', '', $file);
    array_push($languageNames, $file); }}
closedir($handle);

// Get current set frontend language
$SetupFrontendLanguage = getSetup('SetupFrontendLanguage');

// Generate HTML output
echo '<tr>
        <td>'.$L_072.'</td>
   	    <td>
          <select name="FrontendLanguage" size="1">';
            foreach ($languageNames as $value) {
              echo '<option value="'.$value.'" ';
              if ($value==$SetupFrontendLanguage)
                echo ' selected="selected"';
              echo '>'.$value.'</option>'; }
   	         echo '
      	  </select>
        </td>
      </tr>';
?>
